import { SVGSelection } from "./Charting";
import { ScaleContinuousNumeric } from "d3-scale";
export declare class YAxis {
    private color;
    private $axis;
    private axis;
    private scale;
    constructor(color: string);
    getSelection(): SVGSelection<any>;
    getWidth(): number;
    setScale(scaleY: ScaleContinuousNumeric<number, number>): void;
    draw(): void;
    private updateTickFormat;
}
